Name:                json-smart
Version:             2.2
Release:             2
Summary:             A small and very fast json parser/generator for java
License:             ASL 2.0
URL:                 https://github.com/netplex/json-smart-v2
Source0:             https://github.com/netplex/json-smart-v2/archive/%{version}.tar.gz
Patch0001:           CVE-2023-1370.patch
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.ow2.asm:asm) mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:           noarch
%description
Json-smart is a performance focused, JSON processor lib.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -n %{name}-v2-%{version} -p1
%pom_remove_dep :json-smart-mini parent
%pom_remove_plugin :maven-javadoc-plugin parent
%pom_remove_plugin :maven-source-plugin parent
%pom_xpath_set "pom:dependency[pom:artifactId='accessors-smart']/pom:version" '${project.version}' parent
%pom_xpath_set "pom:Bundle-Version" "1.1" accessors-smart
%pom_xpath_remove "pom:Embed-Dependency" accessors-smart
%pom_xpath_remove "pom:Embed-Dependency" %{name}
%pom_xpath_inject "pom:dependency[pom:artifactId='accessors-smart']" "<version>%{version}</version>" %{name}
%pom_xpath_remove "pom:project/pom:version" accessors-smart
%pom_xpath_inject "pom:project" "<version>%{version}</version>" accessors-smart
cp -p %{name}/*.txt .
%mvn_file :%{name} %{name}
%mvn_file :accessors-smart accessors-smart
rm accessors-smart/src/test/java/net/minidev/asm/TestDateConvert.java

%build
%mvn_build -- -f parent/pom.xml

%install
%mvn_install

%files -f .mfiles
%doc ChangeLog.txt readme.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Apr 04 2023 liyuxiang <liyuxiang@ncti-gba.cn> - 2.2-2
- fix CVE-2023-1370

* Mon Aug 24 2020 wangchong <wangchong56@huawei.com> - 2.2-1
- package init
